Name: console-data
Version: 1999.08.29
Release: alt2

Group: Terminals
Summary: Linux console data files
License: GPL
Url: http://lct.sf.net

Packager: Ivan Zakharyaschev <imz@altlinux.org>

%define MDK_KBD_VER 20030918
%define CDCYRVER 0.0.7

# FIXME: data really should really go to /usr/share/*
%define kbddatadir %_libdir/kbd

ExclusiveOS: Linux

# The pkg was split after 0.2.3-alt23mdk:
Conflicts: console-tools < 0.2.3-alt24mdk

# transition script uses locale
Requires(triggerpostun): glibc-locales-virtual

Source: ftp://metalab.unc.edu/pub/Linux/system/keyboards/console-data-%version.tar.bz2
Source4: console-tools-ucwfonts.tar.bz2
Source5: kbd-0.96-turkish.tar.bz2
Source6: kbd-mdk-keymaps-%MDK_KBD_VER.tar.bz2
Source8: console-data-cyrillic-%CDCYRVER.tar.bz2

# on PPC we need to see whether mac or Linux keycodes are being used - stew
Source10:       mac-keymaps.tar.bz2

# Originally this file was called http://www.inp.nsk.su/~bolkhov/files/fonts/univga/uni-vga.tgz:
Source20: http://www.inp.nsk.su/~bolkhov/files/fonts/univga/uni-vga-20010608.tar.bz2
#The homepage of Unicode VGA: (originally it is http://www.inp.nsk.su/~bolkhov/files/fonts/univga/index.html)
Source21: http://www.inp.nsk.su/~bolkhov/files/fonts/univga-20010608.html
Patch25: console-data-univga-embed.patch
Patch26: univga-buildargs.patch
Source101: console-data-univga-embed-fonts.cat
Source102: console-data-univga-embed-trans.cat

# There is a windowkeys keymap supplement in console-data. This one replaces the Compose
# function that is not useful for Russian by another function (console
# switching)
# (look at Patch31 as well)
Source22: console-data-windowkeys-console_switch.inc

# Esperanto keymap from Andrey V. Lukyanov:
Source23: http://stgazeta.chat.ru/download/eurorus.tar.gz/eurorus-20021208/keymaps/console-data-eo-l3.kmap

# some keyboards cannot have the euro in AltGr-e -- pablo
Patch9:		console-data-1999.08.29-mdk-noteuro.patch

Patch10:	console-data-1999.08.29-mandrake.patch.bz2
Patch11:	console-data-1999.08.29-mdk-tilde-with-twosuperior-in-french-keyboard.patch

# some modifications to cover PPC using Linux keycodes
Patch13:	console-data-1999.08.29-mdk-ppc-using-linux-keycodes.patch

# Thai kbds, keysysm and fonts -- pablo
Patch14: http://www.links.nectec.or.th/~thep/th-console/console-data/console-data-thai_deb-1999.08.29-21.8.patch

# Patches 25, 26 are for UniVGA (defined above)

# wrong paths in include statements in Makefiles (automake info says
# the same)
Patch27: console-data-1999.08.29-Makefile-include.patch
Patch28: console-data-cyrillic-embed.patch

# Avoid /usr/bin/cpp indirect dependence.
Patch29: console-data-1999.08.29-alt-convkeys-cpp.patch
Patch31: console-data-1999.08.29-alt-special-keys-in-all-grps.patch
Patch32: console-tools-cpp-fix.patch
Patch33: kbd-mdk-keymaps-20030918-alt-correct.patch

# Automatically added by buildreq on Mon Apr 05 2004
BuildRequires: console-tools

%description
This package contains various console fonts and keyboard maps. 

(Utilities to make use of the data files can be found either 
in console-tools or kbd packages; they can be used at boot or login time.)

%description -l ru_RU.KOI8-R
       
  .

(        
 console-tools  kbd;      
 (boot)       (login).)

%prep
%setup -q

######## Thai data from Mdk: ############
%patch14 -p1 -b .thai1

%patch27 -p1
tar xjf %SOURCE4
tar xjf %SOURCE5
%patch10 -p1

############### UniVGA: ##########
tar xjf %SOURCE20
%patch25 -p1
%patch26
%__cat %SOURCE101 >> consolefonts/Makefile.am
%__cat %SOURCE102 >> consoletrans/Makefile.am
# end UniVGA

tar xjf %SOURCE8
ln -sf console-data-cyrillic-%CDCYRVER cyrillic
%patch28 -p1
pushd console-data-cyrillic-%CDCYRVER
%patch29 -p2
popd #console-data-cyrillic-%CDCYRVER
%patch31 -p1 -b .all-grps

# Patches that affect the build procedure for the tools

%patch9 -p1
%patch11 -p2

%ifarch ppc
%patch13 -p2
%endif

%patch32 -p2

#
%build

#define __nprocs 1

# To build with our tools as much as possible -- clean all pre-built sources

		autoconf # create Makefiles and ./configure
		%configure # errors due to ./missing
		rm -f ./missing # too old
		aclocal # update something needed for automake
		automake --add-missing # update various things (scripts and *.in) - uses Make.rules generated by autoconf
		%make clean
		# Only one of this can be executed at once (they rm Makefile):
		#make distclean
		%make maintainer-clean
		autoconf # just in case
		# All these auto* iterations look quite silly! Anyway, they make it work with fresh autotools.

# Configuring once more: this time for real build
pushd uni_vga
	# SMP-incompatible build.
	PATH="$RPM_BUILD_DIR/%name-%ver/fontfiletools:$PATH" make allfonts
	univga_dir="$(pwd)"
	univga_FILES="$(echo *.{psf,sfm})"
	export univga_dir univga_FILES
popd

%configure --datadir=%kbddatadir --enable-localdatadir=%_sysconfdir/sysconfig/console
%make_build

#
%install
install -d -m 0755 $RPM_BUILD_ROOT%prefix

%makeinstall datadir=$RPM_BUILD_ROOT%kbddatadir

# other data

# Mdk keymaps.
for f in "%SOURCE6"; do
  tar jxvf "$f" -C $RPM_BUILD_ROOT%kbddatadir
done
pushd $RPM_BUILD_ROOT%kbddatadir
  gunzip keymaps/i386/include/rwin_switch.inc
  patch -p0 < "%PATCH33"
popd

# A lot of not quite useful stuff.
pushd cyrillic
	%__install -p -m755 -D local-scripts/convkeys $RPM_BUILD_ROOT%_bindir/convkeys
	%__mkdir_p $RPM_BUILD_ROOT%kbddatadir/keyencs
	%__install -p -m644 keyencs/*enc $RPM_BUILD_ROOT%kbddatadir/keyencs
	cat > $RPM_BUILD_ROOT%kbddatadir/keyencs/README <<-EOF
		This are Cyril Slobin's enc-files taken from console-tools-cyrillic
		package.
			
		They can be used by %_bindir/convkeys script.
		More info in documentation on cyrillic part of console-data
		in %_docdir.
	EOF
	%__mkdir_p ../doc/cyrillic/
	%__install -pD -m644 doc/* ../doc/cyrillic/
	%__install -p -m644 %SOURCE21 ../doc/univga.html
	cat > ../doc/cyrillic/README.keyencs <<-EOF
		The script and additional data (Cyril Slobin's 	enc-files
		taken from console-tools-cyrillic package) that were
		used to produce keymaps in multiple encodings were installed
		to %_bindir/convkeys and %kbddatadir/keyencs.
		
		You can use all this to generate keymaps in other encodings
		than those of the shipped keymaps. There's a small help message in
		the script.
		
		Use with care!
	EOF
popd

# more bindings for extra Win keys.
pushd "$RPM_BUILD_ROOT%kbddatadir/keymaps/i386/include/"
  for f in "%SOURCE22"; do
    targetf="${f##*console-data-}"
    %__install -m 0644 "$f" "$targetf"
    %__gzip -9 "$targetf"
  done
  %__mv windowkeys{,-compose}.inc.gz
  %__ln_s windowkeys{-compose,}.inc.gz
popd

# Esperanto kmap
pushd "$RPM_BUILD_ROOT%kbddatadir/keymaps/i386/qwerty/"
  for f in "%SOURCE23"; do
    targetf="${f##*console-data-}"
    %__install -m 0644 "$f" "$targetf"
    %__gzip -9 "$targetf"
  done
popd

# More mac keymaps on ppc
pushd "$RPM_BUILD_ROOT%kbddatadir/keymaps/"
%ifarch ppc
	tar jxf "%SOURCE10"
%endif
   
	# remove unneeded files
	rm -rf amiga atari sun
%ifnarch ppc
	rm -rf mac
%endif
popd

# it is the same file; a symlink will save some space
# XXX This doesn't work, IMHO
#ln -sf UnicodeData-2.1.8.txt $RPM_BUILD_ROOT%kbddatadir/unidata/UnicodeData-2.txt

#compatibility symlinks
(cd $RPM_BUILD_ROOT/%kbddatadir/keymaps/i386/qwerty
    ln -s ua.kmap.gz  ua-KOI8-U.kmap.gz
    ln -s ua.kmap.gz  ua-KOI8-R.kmap.gz # it has also a Russian KOI8-R layout
    ln -s ua-cp1251.kmap.gz  ua-CP1251.kmap.gz
    ln -s by-cp1251.kmap.gz  by-CP1251.kmap.gz
    ln -s ru_alt-KOI8-R.kmap.gz ru_alt.kmap.gz
    ln -s ru_cplk-KOI8-R.kmap.gz ru_cplk.kmap.gz
    ln -s ru_ct_sh-KOI8-R.kmap.gz ru_ct_sh.kmap.gz
    ln -s ru_ctrl-KOI8-R.kmap.gz ru_ctrl.kmap.gz
    ln -s ruwin_alt-KOI8-R.kmap.gz ruwin_alt.kmap.gz
    ln -s ruwin_cplk-KOI8-R.kmap.gz ruwin_cplk.kmap.gz
    ln -s ruwin_ct_sh-KOI8-R.kmap.gz ruwin_ct_sh.kmap.gz
    ln -s ruwin_ctrl-KOI8-R.kmap.gz ruwin_ctrl.kmap.gz
)

%find_lang %name

#
# This was a part of a %%post script.
#
# Probably this was needed for some old configuration tools. Commenting
#it out.
#if [ -s %_sysconfdir/sysconfig/keyboard ] ; then
#    . %_sysconfdir/sysconfig/keyboard
#    if [ -n "$KEYTABLE" ] ; then
#        KT=`echo $KEYTABLE | sed -e "s/.*\///g" | sed -e "s/\..*//g"`
#    fi
#fi

# This could be included in keytable stop:
#   if [ -d %_sysconfdir/sysconfig/console ] ; then
#      if [ -n "$SYSFONT" ]; then
#         cp -fp %kbddatadir/consolefonts/$SYSFONT* %_sysconfdir/sysconfig/console
#      fi
#      if [ -n "$UNIMAP" ]; then
#         cp -fp %kbddatadir/consoletrans/$UNIMAP* %_sysconfdir/sysconfig/console
#      fi
#      if [ -n "$SYSFONTACM" ]; then
#         cp -fp %kbddatadir/consoletrans/$SYSFONTACM* %_sysconfdir/sysconfig/console
#      fi
#   fi

#
%post
service keytable condreload

#
%triggerpostun -- console-tools < 0:0.2.3-ipl2mdk
# Translating the keytable to the new naming scheme (with -CHARSET
# appended)
echo "Adjusting the keyboard profile in the system"
if [ -s %_sysconfdir/sysconfig/i18n ]; then
   . %_sysconfdir/sysconfig/i18n
   export LANGUAGE LANG LC_CTYPE LC_ALL
   lKT="$KT-`locale charmap`"
   if %_bindir/loadkeys -m "$lKT" &>/dev/null; then
   	KT="$lKT"
   fi
fi
if [ -n "$KT" ]; then
	echo "KEYTABLE=$KT" >> %_sysconfdir/sysconfig/keyboard
	if ! %_bindir/loadkeys -m "$KT" &>/dev/null; then
   		echo "Your %_sysconfdir/sysconfig/keyboard sets a keyboard map that can't be loaded,"
		echo "probably, you should correct the map's name!"
	fi
fi

#
%files -f %name.lang
%doc doc/*

%dir %kbddatadir
%kbddatadir/consolefonts
%kbddatadir/consoletrans
%dir %kbddatadir/keymaps
%kbddatadir/unidata
%kbddatadir/keymaps/include
# Warning: keyboards are not cpu-dependent but machine-dependent.
# How to distinguish Linux/PPC on Amiga/PPC (amiga kbd) and Linux/PPC
# on Apple/ppc (mac kbd) ?
#
# for now an ugly hack: ppc -> mac, sparc -> sun, i386/alpha -> i386
#%_libdir/kbd/keymaps/amiga
#%_libdir/kbd/keymaps/atari
#
# (fg) 20010411 Also ia64 has PC-like keyboards, added it here
#
# (sb) move to Linux keycodes PPC
#
%ifarch %ix86 alpha ia64 ppc x86_64
%kbddatadir/keymaps/i386
%endif
# (sb) leave in the event user really wants mac keymaps
%ifarch ppc
%kbddatadir/keymaps/mac
%endif

%kbddatadir/keyencs
%_bindir/convkeys

# no man pages

%changelog
* Mon Apr 19 2004 Ivan Zakharyaschev <imz@altlinux.ru> 1999.08.29-alt2
- correct a keymap from Mdk.

* Mon Apr  5 2004 Ivan Zakharyaschev <imz@altlinux.ru> 1999.08.29-alt1
- made a separate package out of console-tools-0.2.3-ipl23mdk.

* Wed Mar 10 2004 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl23mdk
- simplified unicode_{start,stop};
- changes from 0.2.3-46mdk:
  + added Uzbek cyrillic keyboard and font
  + renabled compressed fonts
  + fixed permissions of Czek files
  + small fix of Spanish keyboard
  + added Thai patches
  + Turkish keyboard and fonts fixes
  + added unicode keyboards for all keyboard maps used by drakkeyboard;
- changes from Debian 0.2.3dbs-49:
  + showkey's warning in pseudoterminals (patch 35);
  + vcstime features (patch 70)
- spec-file internals:
  + redone univga-embed.patch as a small patch + 2 appendices applied by `cat';
#  TODO: keytable.init issues: uni kmaps, compose, toggles.


* Tue Feb 2  2004 Alexander V. Nikolaev <avn@altlinux.ru> 0.2.3-ipl22mdk
- fix cp1251 keymaps generation

* Thu Jan 29 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl21mdk
- configure_keyboard.sh: use "printf %b" instead of "echo -en" (#2777).
- Moved console powersaver code from rc.sysinit to runlevel script.

* Sun Jan 25 2004 Alexander V. Nikolaev <inger@altlinux.ru> 0.2.3-ipl20mdk
- Moved big part of /etc/init.d/keytable to /sbin/setsyskeytable
- Fixed compilation by gcc 3.3
- Moved console initialization from setup package
  (/etc/profile.d/lang.sh -> /etc/profile.d/console.sh)

* Mon Jun 16 2003 Stanislav Ievlev <inger@altlinux.ru> 0.2.3-ipl19mdk
- fix buildreq

* Tue May 20 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl18mdk
- %_initdir/keytable: changed chkconfig levels to "2345 35 65".

* Fri Feb 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl17mdk
- Requires(triggerpostun): glibc-locales-virtual.

* Fri Feb  7 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl16mdk
- keymaps:
  + add ua-KOI8-R.kmap as an alias for ua.kmap (same as ua-KOI8-U.kmap; 
    it has a KOI8-R part, too; fixes No. 0001638 at http://bugs.altlinux.ru);
  + add Esperanto keymap (eo-l3.kmap) from A.V. Lukyanov's eurorus-20021208;
- console-data-cyrillic-0.0.7: update Andrey V. Lukyanov's font data
  (eurorus-20021208: greekrus.f16 added, several ACMs);
- partitially sync with mandrake up to 0.2.3-41mdk:
  + add some more mac keymaps for those so inclined;
  + x86-64 has PC-like keyboards too;
  + put unicode_start in /bin/ because it's used by rc.sysinit (Mdk bug #518).

* Fri Nov  8 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl15mdk
- configure_keyboard.sh: fix once more, actually run in interactive shells
  (test -z instead of test -n);
- console-data-cyrillic-0.0.6: update Andrey V. Lukyanov's fonts
  (vietrus.f16 added).

* Tue Nov 05 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl14.2mdk
- configure_keyboard.sh:
  + run only for terminals;
  + don't send the terminal or tab initialization strings to the terminal.
- Fixed SMP build.

* Mon Nov 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.3-ipl14.1mdk
- Shutup configure_keyboard.sh script.

* Sun Nov  3 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl14mdk
- Include more docs from console-data-cyrillic.

* Wed Oct 23 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl13mdk
- Update D.Yu. Bolkhovityanov's UniVGA font to the version of 2001-06-08.
- console-data-cyrillic-0.0.5:
  + add "Corwin" keymap series by Sergey A. Sukiyazov <corwin@micom.don.ru>;
  + add Eurorus and Pancyrillic fonts and cyrillic ACMs from eurorus-1.2
    by Andrey V. Lukyanov <land@long.yar.ru> 
    (http://stgazeta.chat.ru/download/eurorus.tar.gz)
- Make some special keys (like console-swicthing Win-keys) active in all groups
  (e.g., in Russian) (reported by Ruslan N. Balkin <baron@dartel.ru>).
- Fixes in charmap detection code in install time scripts, refine PreReqs.
- Link loadkeys/consolechars dynamically, move the libs into /lib/.
- Clean up /etc/profile.d/configure_keyboard.sh a bit, make it use termutils 
  to set the erase char.
- Include all docs in the main pkg.
- Sync with Mandrake: up to 0.2.3-35mdk:
  + added nice Turkish fonts
  + small correction on ro2 file
  + commented out the "dead_abovedot" keysyms (not supported)
  + added missing keyboards
  + add toggle-maps to make bi-mode (eg: latin/cyrillic) keyboards use the 
    same toggle key as defined for X11 trough drakx/drakkeyboard
  + add sfm tables to all fonts set by DrakX
  + corrected Ctrl-C problem
  + map Apple to AltGr, shift-Apple to compose for PPC using Linux keycodes
  + additional mods for PPC using Linux keycodes
  + Add missing files
  + "big move" to Linux keycodes for PPC
  + corrected problem with Euro and CZ/SK keyboards
  + fixed several keyboard and font bugs
  + Fix setkeycodes argument.
  + Install keymaps on ia64 :(
  + Make twosuperior and shift product tilde on french keyboard.
- Cleanup changelog entries' headers (to match the standard form).

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2.3-ipl12mdk
- Fixed indirect /usr/bin/cpp dependence (#0000848).

* Sun Apr 14 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl11mdk
- console-data-cyrillic version 0.0.4:
  + make CtrlShift switch left/right insensitive (inconvenience reported
    by many people) (resolves \#67 at bugs.altlinux.ru);
  + ruwin_alt now has really a win-layout (reported by
    Vitaly Lopatin <vitls@beshtau.ru>);
  + move "yo" in ru_* keymaps (not to hide frequently used
   "question slash") (resolves \#705 at bugs.altlinux.ru);

* Mon Feb 18 2002 AEN <aen@logic.ru> 0.2.3-ipl10mdk
- symlinks for koi8-r keyboards added

* Wed Dec 25 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl9mdk
- keytable init-script: removed stdout/stdin redirection

* Mon Dec 24 2001 Stanislav Ievlev <inger@altlinux.ru> 0.2.3-ipl8mdk
- added symlinks from ua to ua-KOI8-U etc.
- we must have one scheme for lang+charset or we have to made a lot of hacks in installer.

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl7mdk
- startup service keytable: fixed charset recognition mechanism.

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl6mdk
- separate devel-static subpkg

* Sun Sep 23 2001 Ivan Zakharyaschev <imz@altlinux.ru> 0.2.3-ipl5mdk
- keymaps: added yet another binding for extra Win keys (more useful for
  Russian consoles than the old one; suggested by Konstantin Volkov
  <goldhead@altlinux.ru>); the old one renamed, but installed a symlink for
  compatibility.
- start-up service keytable: now binds extra Win keys by default (Menu is bound
  differently on cyrillic and non-cyrillic keyboards).
- install-time scripts reworked.
- for packagers: ua-cp1251 (ukrainian cp1251 keyboard from A. Dobrovolsky)
  moved into console-data-cyrillic tarball.

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.2.3-ipl4mdk
- ukrainian cp1251 keyboard from A. Dobrovolsky added

* Fri Dec 29 2000 Dmitry V. Levin <ldv@fandra.org> 0.2.3-ipl3mdk
- Fixed configure_keyboard.sh and keytable.init scripts.

* Mon Dec 12 2000 Ivan Z. <vanyaz@mccme.ru> 0.2.3-ipl2mdk
- the install script adds UniVGA homepage and cyrillic subpackage
  README to console-data docdir
- short READMEs added on keyencs and the convkeys script
- issue a warning at install time if the keymap set in
  /etc/sysconfig/keyboard can't be loaded

Mon Dec 11 2000 Ivan Z. <vanyaz@mccme.ru>

- ctools-cyr renamed to console-data-cyrillic; pt154.acm moved inside it, other
  things added there (documented inside the archive); this archive is
  embedded into the main console-data build tree.
- patch to fix include statements Makefile.am's in console-data
- a utility for generating keymaps from console-data-cyrillic is installed into the package
  with some data for it (keyencs)
- autoconf is run in console-data build dir since configure.in gets
  patched
- Adjusting /etc/sysconfig/keyboard on install now tries to set a keymap
  appropriate to the system charmap; issue a warning if the keymap
  can't be loaded

Sun Dec 10 2000 Ivan Z. <vanyaz@mccme.ru>

- patch to get along with a strange bug in loadkeys
  (plain keycode NN = +z, where z is any latin letter, hasn't worked)
- Russian translations of description & summary added
- Unicode VGA fonts included ("embedded")
- pt154.acm added (perhaps shouldd be included in ctools-cyr.tar)
- Unicode VGA fonts are built in a special PATH environment: not to
  depend on installed console-tools (I don't like the idea of packing
  the tools and the data at the same time)

Mon Dec 04 2000 Ivan Z. <vanyaz@mccme.ru> start 0.2.3-ipl2mdk

- builtsrc patch removed

* Sat Dec 02 2000 Ivan Z. <vanyaz@mccme.ru> 0.2.3-ipl1mdk
- re-arrange docs: on install, console-data doc moved into a subdir of the main doc
- a macro (kbddatadir) for the nasty /usr/lib/kbd, problems with
  other standard paths with leading %%_datadir eliminated (a
  portability problem still remains with the paths inside the two
  additional scripts installed by the package)
- keyboard profile and keyboard init-script setup done in a trigger on
  setup or initscripts packages respectively (still the scripts as files are
  installed into the filesystem on install of the package, not by the
  trigger)
- a trigger added to correct the incorrect work of older packages
  with chkconfig (they used to add the links exlicitly)
- small enhancements in additional scripts:
    + configure_keyboard: now it uses another dumpkeys output format to
	  auto-detect BKSP code
	+ keytable.init: more informative status msgs added

Fri Dec 01 2000 Ivan Z. <vanyaz@mccme.ru> work on 0.2.3-ipl1mdk

- docdir fixed (ugly; mandir remains)
- nice dumpkeys (small enhancements in formatting)
- fixing the list of built sources in kbdtools (they can be removed by
  make) that previously included a human-written file (hasn't been
  deleted yet due to a bug in automake)
- rootpart patch re-arranged (other files are patched now, the very
  first Makefile.am's)
- clean up thoroughly before %%build (as if I were the maintainer) in
  order to build with our tools as many things as possible (no
  pre-builts; because of the mentioned automake bug not all of them are
  really removed on that make-command)

Wed Nov 29 2000 Ivan Z. <vanyaz@mccme.ru> start 0.2.3-ipl1mdk

- merging the latest Mdk Cooker release and the RE one: in fact, everything
  that was once added to RE package was later added unchanged to the
  upstream Mdk package (ctools-cyr)
- minor changes of the Mdk spec file (macros, shorter scripts, source
  notations)
- more docs left in the main package (BUGS, TODO)
- a patch file renamed

* Wed Sep 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.3-15mdk
- Add include files to devel package.

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 0.2.3-14mdk
- remove pablo's hack for stty failing (completly removed the stty stuff until
  someone find something better)

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 0.2.3-13mdk
- move the *.a and *.so in the -devel package

* Thu Aug 31 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-12mdk
- added various keyboards and fonts, to sync whith what is offered by DrakX

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-11mdk
- use /var/lock/subsys file to avoid relaunch in run level change.

* Thu Jul 27 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-10mdk
- fixed Japanese 106keys keyboard

* Fri Jul 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-9mdk
- fix Swiss romand keyboard

* Thu Jul 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-8mdk
- make sure meta_keys.inc file is included for the sparc
- use mandir macros
- added Tamil console font
- some keyboard fixes

* Tue Jun 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-7mdk
- fixed configure_keyboard.sh to not run in non-interactive sessions.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.3-6mdk
- Remove nasty stuff from pablo.

* Mon Jun 05 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-5mdk
- a tar file was not installed due to wrong format, fixed

* Fri May 26 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-4mdk
- fixed Swedish keyboard
- added more keyboards to be in sync with DrakX
- added cyrillic add-ons from IP-Labs

* Mon May 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-3mdk
- removed no longer needed call to setsysfont

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.3-2mdk
- fixed sparc compile.

* Wed Apr 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-1mdk
- updated to 0.2.3
- fixed some files permissions
- made the BackSpace key configuration (eg sending ^H or ^?)
  consistent accross platforms (SUN, mac and PC)
- make the three supplementary keys of PC 105 keys kbds, and the
  three keys meta(L,R) and Compose on SUNs, behave the same.
- corrected Brazilian keyboard
- updated Swedish keyboard

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-15mdk
- Add missing x86 archs

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-14mdk
- Oops, /usr/lib/lib* were missing... fixed

* Wed Mar 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-13mdk
- in %%files section only kmaps for the building target (needs improving)
- new Group: naming
- new armenian keyboards
- included the sun4 norwegian keyboard in our kbd-mdk tarball; it's easier

* Wed Mar 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.2-12mdk
- corrected the keyboard map "il-8859_8.kmap" (keyboard used in Israel),
  it was wrongly identiqual to "hebrew.kmap" (phonetical keyboard)

* Sat Jan 15 2000 Francis Galiegue <francis@mandrakesoft.com> 0.2.2-11mdk
- sparc patch fixing galore
- bzip2'ed all patches which weren't
- spec file fixes

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com> 0.2.2-10mdk
- alphaev6 adaptation (libtoolize call added)
- buildreq sgml-tools added (for sgml2html)

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com> 0.2.2-9mdk
- really hide output of loadkeys (msg4pablo: >& is csh, not sh :pp)

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-8mdk
- remove configure_keyboard.sh.

* Mon Jan 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- Hide outpout of loadkeys {backspace,delete}.in,
  only show the [OK] or [FAILED].
- added a cp852 encoded version of the "t" font.

######################
# An RE release (was: 5 Jan)

* Wed Jan 1 2000 AEN <aen@logic.ru>
- added fonts, screen maps & keymaps from console-tools-cyrillic-0.6b
- added russian & byelorussian kemaps from IPLabs Linux Team

######################

* Thu Dec 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- improved the BackSpace key handling
- added fonts for latin7 and latin8, and various trans and uni files

* Mon Dec 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the problem with the euro.inc file (the keysyms are locale
  dependent! the names 'currency' and 'cent' are not valid for all
  charset encodings, changed them with hexa values)
- corrected the estonian keyboard (s/asciircum/asciicircum/)

* Fri Nov 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed keymap.init and added a profile.d/ script to fix the BackSpace key;
  with the default being sending a "Delete", but user configurable.

* Tue Nov 23 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added my collection of keyboards (in sync with DrakX installer)
- removed ro.map and sr.map from outside (they are already on console-data)
- added my compose.* files
- replaced the keymap.init by mine (uses compose.* files and correct the
  BakcSpace key (unless asked otherwise on /etc/sysconfig/keyboard))
- removed /usr/bin/fix_bs_and_del as it is no longer need (the keymap.init
  does the proper thing)
- it is my birthday
- corrected the US intl (us-latin1) keymap to have dead keys

* Wed Sep  1 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.2.2
- bug fixes

* Thu Jun  3 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- console-tools 0.2.0, console-data 1999.04.15
- Euro support
- Support for Windoze keys
- Support for Alt+AltGr=Compose
- cleanups

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- make keytable %post handle us.map better

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- hotwire sun fonts.

* Wed Apr 14 1999 Bill Nottingham <notting@redhat.com>
- %post changes; just copy the user's configured font/map/etc.

* Wed Apr 14 1999 Matt Wilson <msw@redhat.com>
- added fonts RUSCII_*, koi8u_*, and acm koi8u2ruscii from
  Leon Kanter <leon@geon.donetsk.ua>

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- removed sh-utils from prereq.
- added sed to prereq

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- more latin2 fonts (Peter Ivanyi).

* Thu Apr  8 1999 Bill Nottingham <notting@redhat.com>
- added sh-utils to prereq.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- /etc/sysconfig/console support
- add setsysfont to init script

* Mon Mar 29 1999 Peter Ivanyi <ivanyi@internet.sk>
- more fixes.

* Thu Mar 25 1999 Peter Ivanyi <ivanyi@internet.sk>
- add ucw-fonts-1.1.tar.gz
- delete obsolete sk keymaps from console-tools-1998.08.11.add-ons.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added norwegian sun4 keymap support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1999.03.02.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0

* Wed Jan 30 1999 Alex deVries <puffin@redhat.com>
- added amiga support for Jes Sorensen

* Mon Dec 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- some keymaps were including "*.map", which has to be
  replaced by "*.kmap"

* Fri Dec 04 1998 Jakub Jelinek <jj@ultra.linux.cz>
- upgrade to console-tools, added new sun keymaps,
  new sun fonts for latin0/1 and latin2, iso15.acm
  and iso02+euro.acm.
- Print the verbose messages only if verbose was
  specified on command line.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added Euro (latin0) support from Guylhem Aznar

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- fix the name the ro and sr maps are installed under
- slovak keymaps
- ro.map and sr.map are welcomed to the club
- enable turkish again

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- KEYTABLE should not have the full patch name (%post hack)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- install keymaps on tty0 w/o using (non-installed) open(1).

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- updated to 0.96a.

* Thu Jun 11 1998 Mikael Hedin <micce@irf.se>
- specify VT0 in case we use a serial console

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- quotes permit multiple keytables in keytable.init (problem #675)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- added some extra turkish support

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixes for building on alpha
- completed buildroot usage

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 0.95

* Wed Mar 25 1998 Erik Troan <ewt@redhat.com>
- fixed /tmp exploit

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added SPARC stuff (finally!), Thanks to eduardo@medusa.es for most of it.
- added buildroot
- cleaned up the file list
- moved to rev 5 because the contrib ver rel was 4

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- updated from 0.91 to 0.94
- added chkconfig support
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
# Local Variables:
# compile-command: "rpmbuild -ba --target=i586 console-tools.spec"
# End:
